from Products.Five  import BrowserView
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone import PloneMessageFactory as _

class CockpitAddTag(BrowserView):
    def __call__(self):
        mail = self.request.get('email', None)
        plone_utils = getToolByName(self.context, 'plone_utils')
        if not plone_utils.validateSingleEmailAddress(mail):
            plone_utils.addPortalMessage(_(u'Please enter a valid email address.'), 'error')
        if plone_utils.validateSingleEmailAddress(mail):
            tool = getToolByName(self.context, 'portal_cockpit_control')
            tool.add_tag(rpcrule = 3, email = mail)
            #plone_utils.addPortalMessage(_(u'Registration submitted.'))
            plone_utils.addPortalMessage(_(u'Thank you for your registration. Your subscription to the Open World Forum 2010 newsletter is being processed. We will come back to you soon.'))
        return self.request.RESPONSE.redirect(self.context.absolute_url())
