## Controller Python Script "personalize"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##title=Edit user details
##

from Products.CMFPlone import PloneMessageFactory as _

portal = context.portal_url.getPortalObject()
portal_url = portal.absolute_url()

member = context.portal_membership.getAuthenticatedMember()
member.setProperties(context.REQUEST)
context.plone_utils.addPortalMessage(_(u'Profile saved.'), 'info')

cc = context.portal_cockpit_control
mode, nb = cc.edit_contact(rpcrule = 7,
                           firstname = member.getProperty('firstname'),
                           lastname = member.getProperty('lastname'),
                           country = member.getProperty('country'),
                           company = member.getProperty('company'),
                           having_primaryemail = member.getProperty('email'),
                           workphone = member.getProperty('phone'),
                           job = member.getProperty('function'),
                           comments = member.getProperty('description'),
                           homephone = member.getProperty('home_page'))
if not nb:
    cc.add_contact(rpcrule = 4,
                   firstname = member.getProperty('firstname'),
                   lastname = member.getProperty('lastname'),
                   country = member.getProperty('country'),
                   company = member.getProperty('company'),
                   primaryemail = member.getProperty('email'),
                   workphone = member.getProperty('phone'),
                   job = member.getProperty('function'),
                   comments = member.getProperty('description'),
                   homephone = member.getProperty('home_page'))

return context.REQUEST.RESPONSE.redirect(portal_url + '/author/' + member.getId())
