from pilot.conference.tests.base import PilotConferenceTestCase


class TestProductInstall(PilotConferenceTestCase):

    def test_types_installed(self):
        type_ids = self.portal.portal_types.objectIds()
        for t in ('Talk', 'Speaker'):
            self.failUnless(t in type_ids)

    def test_portal_factory_enabled(self):
        type_ids = self.portal.portal_factory.getFactoryTypes().keys()
        for t in ('Talk', 'Speaker'):
            self.failUnless(t in type_ids)


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestProductInstall))
    return suite
